summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-12-09 18:51:22 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-12-09 18:51:22 +0000
commit3aa0c3429efed570dcfcc291043919da3a69ec14 (patch)
tree35c17836b0ee218fbe60e593dfa274ab2ea94593 /dev-python
parentc0fb4fd54e542e8459844b3f075d6619ef5c1d1c (diff)
downloadbaldeagleos-repo-3aa0c3429efed570dcfcc291043919da3a69ec14.tar.gz
baldeagleos-repo-3aa0c3429efed570dcfcc291043919da3a69ec14.tar.xz
baldeagleos-repo-3aa0c3429efed570dcfcc291043919da3a69ec14.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/astroid/Manifest1
-rw-r--r--dev-python/astroid/astroid-3.3.6.ebuild89
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.122.3.ebuild104
-rw-r--r--dev-python/markups/Manifest1
-rw-r--r--dev-python/markups/markups-4.1.0.ebuild37
-rw-r--r--dev-python/mkdocs-material/Manifest1
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-9.5.48.ebuild67
-rw-r--r--dev-python/mysqlclient/Manifest1
-rw-r--r--dev-python/mysqlclient/mysqlclient-2.2.4.ebuild93
-rw-r--r--dev-python/mysqlclient/mysqlclient-2.2.6.ebuild2
-rw-r--r--dev-python/numpy/Manifest1
-rw-r--r--dev-python/numpy/numpy-2.2.0.ebuild194
-rw-r--r--dev-python/pikepdf/pikepdf-9.4.2.ebuild2
-rw-r--r--dev-python/python-tests/python-tests-3.11.11_p1.ebuild2
-rw-r--r--dev-python/wrapt/wrapt-1.17.0.ebuild2
-rw-r--r--dev-python/yarl/yarl-1.17.2.ebuild2
17 files changed, 501 insertions, 99 deletions
diff --git a/dev-python/astroid/Manifest b/dev-python/astroid/Manifest
index aaa208ad44cd..4a45615e7c8e 100644
--- a/dev-python/astroid/Manifest
+++ b/dev-python/astroid/Manifest
@@ -1 +1,2 @@
DIST astroid-3.3.5.gh.tar.gz 465885 BLAKE2B 64453a7b17aa1584083ca3c1fea4fdf8a236a1e0b80a66d8fe83a7201f2ef7c1cb362370648d61f766e8dc101c7797fbb7c5a2ab6f21e23da3830072e6a66c23 SHA512 323774d0853e8bebf5074eab3da3c29dfd2c04c96f222eb9a7fbe8da37544f7e6dceed8d0fd163591a2cd56a3d06ebf8ec33d23baeb921aa49cccb0f29cae426
+DIST astroid-3.3.6.gh.tar.gz 466233 BLAKE2B 6b8bebeb7f56009d6ea7749f911a309e6cd2a0a7bac7ade1ea91ca74bc157f048c3652a50321a72c961670cb8dcc8f584bd39ef8a2d82408b4be27c8efcbdb58 SHA512 7ed2900cdf563cb761596cb816452e64be131c34d7ea7eedb27a5ceac4e588c3c675deba72bee17557c408c019e489c6f1e86772bdc235e2f1b048239b76c993
diff --git a/dev-python/astroid/astroid-3.3.6.ebuild b/dev-python/astroid/astroid-3.3.6.ebuild
new file mode 100644
index 000000000000..f342635e39aa
--- /dev/null
+++ b/dev-python/astroid/astroid-3.3.6.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Abstract Syntax Tree for logilab packages"
+HOMEPAGE="
+ https://github.com/pylint-dev/astroid/
+ https://pypi.org/project/astroid/
+"
+SRC_URI="
+ https://github.com/pylint-dev/astroid/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# Version specified in pyproject.toml
+RDEPEND="
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-4.0.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+# dev-python/regex isn't available for pypy
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/attrs[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.17.0[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/regex[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # no clue why they're broken
+ tests/test_modutils.py::GetModulePartTest::test_known_values_get_builtin_module_part
+ tests/test_regrtest.py::NonRegressionTests::test_numpy_distutils
+ # pydantic-2?
+ tests/brain/test_dataclasses.py::test_pydantic_field
+ # requires urllib3 with bundled six (skipped with urllib3>=2)
+ tests/test_modutils.py::test_file_info_from_modpath__SixMetaPathImporter
+ # hangs
+ tests/test_nodes.py::AsStringTest::test_recursion_error_trapped
+ # TODO
+ tests/test_builder.py::BuilderTest::test_data_build_error_filename
+ # numpy-2 (https://github.com/pylint-dev/astroid/issues/2442)
+ tests/brain/numpy/test_core_einsumfunc.py::test_numpy_function_calls_inferred_as_ndarray
+ tests/brain/numpy/test_core_fromnumeric.py::BrainNumpyCoreFromNumericTest::test_numpy_function_calls_inferred_as_ndarray
+ tests/brain/numpy/test_core_multiarray.py::BrainNumpyCoreMultiarrayTest::test_numpy_function_calls_inferred_as_ndarray
+ tests/brain/numpy/test_core_numerictypes.py::NumpyBrainCoreNumericTypesTest::test_datetime_astype_return
+ tests/brain/numpy/test_core_numerictypes.py::NumpyBrainCoreNumericTypesTest::test_generic_types_are_subscriptables
+ tests/brain/numpy/test_core_umath.py::NumpyBrainCoreUmathTest::test_numpy_core_umath_functions_return_type
+ tests/brain/numpy/test_core_umath.py::NumpyBrainCoreUmathTest::test_numpy_core_umath_functions_return_type_tuple
+ )
+
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ tests/test_transforms.py::TestTransforms::test_transform_aborted_if_recursion_limited
+ )
+ ;;
+ python3.13)
+ EPYTEST_DESELECT+=(
+ # changes in py3.13.0b4
+ # https://github.com/pylint-dev/astroid/issues/2478
+ tests/test_nodes.py::AsStringTest::test_f_strings
+ tests/test_nodes_lineno.py::TestLinenoColOffset::test_end_lineno_string
+ )
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index dcc798babb28..7a5843b1b4c5 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,2 +1,3 @@
DIST hypothesis-6.119.4.gh.tar.gz 9490666 BLAKE2B 99a45054b90026317bca165915b2ffe3b3abfa03a98efc6181bd64f6ca851f9a90e4ba1b41ba4f3b2181de02818a91367f1c29523b78bca303da4eea31db1284 SHA512 003b01fd3e1e4ae2ea68f72b80063928dd56a069fdf8b6ffc73f6ffb3db4b048523564bd616d604d04a3ea55b19c01940ad7ba60bf1e88c54e29359ca0e397db
DIST hypothesis-6.122.1.gh.tar.gz 9492677 BLAKE2B 66f89d2388cb34e5df95bc73af69259c8460b0508b14b07b99d749443be44f0c43b20bfb1d2edddf844e97f18b20e98ceade1dc66d08ecfc8403fdb6f9a461dd SHA512 27e3fca0510cc4267f3ec4df112937fc1e06331d1498f0db1815912a6eaacd3fcb07705aed84db1f03212dae3bd3d4902071070c81694f9ae2df1a03d4964c14
+DIST hypothesis-6.122.3.gh.tar.gz 9495681 BLAKE2B af743d0486d31590639216e60901eb7ee376dfcce18a9e130ea5061788d9c9d66f1ebcec23f144d41652581e50c30903aa9d697e304cfe05259c454c344f02e0 SHA512 8776f603682a3ef7c36bc47f6e36b64b0e01c37f4db80fe78d492a3e4d347b4ec1d9c87e6999069d2cb4b5ac7d33e0d1258055b679fcacc6812b256e6398f043
diff --git a/dev-python/hypothesis/hypothesis-6.122.3.ebuild b/dev-python/hypothesis/hypothesis-6.122.3.ebuild
new file mode 100644
index 000000000000..7d8a0e518f7a
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.122.3.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( pypy3 python3_{10..13} )
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= -p rerunfailures --reruns=5 \
+ tests/cover tests/pytest tests/quality
+}
+
+src_install() {
+ local HAD_CLI=
+
+ distutils-r1_src_install
+
+ if [[ ! ${HAD_CLI} ]]; then
+ rm -r "${ED}/usr/bin" || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install
+ if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ HAD_CLI=1
+ else
+ rm -r "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/markups/Manifest b/dev-python/markups/Manifest
index bbad5d1fac50..6f34f0119532 100644
--- a/dev-python/markups/Manifest
+++ b/dev-python/markups/Manifest
@@ -1 +1,2 @@
DIST Markups-4.0.0.tar.gz 22968 BLAKE2B a39fed89fd63785d0d4348a72c00c8e886726dfc5613b5b359606f8b0c42d2cdfbb5cf3bd1b6ec11621f924c3ac1dbc91db083682b4ba95a6f4baa97824bbd72 SHA512 5868b480debad480100ce632223aeca62ef22a6d9b2af6b4911d3477c94bcd99b88b5bc56f990d24d92de0d2665340e0fce37721f7979938ba947fab2c65900c
+DIST markups-4.1.0.tar.gz 23072 BLAKE2B 87629e0c5b43e9224c10a5371fb723e16a159474df32fd1b6ab5f1413ad8fe9b6ad90e84813292b75cda787dc17cdb6eef574a26df9ac9ec6b684aeb68b9c908 SHA512 f87a2c25e8d27d8f2502980b2a9810fa895ba37731b38579d01766bd390497fe86eab5285b6d5e7ec6aa177f3019995bfce570fb7431bd7eafa71a5c5f91254b
diff --git a/dev-python/markups/markups-4.1.0.ebuild b/dev-python/markups/markups-4.1.0.ebuild
new file mode 100644
index 000000000000..be0e1338c1ab
--- /dev/null
+++ b/dev-python/markups/markups-4.1.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A wrapper around various text markups"
+HOMEPAGE="
+ https://pymarkups.readthedocs.io/en/latest/
+ https://github.com/retext-project/pymarkups
+ https://pypi.org/project/Markups/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/markdown[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/pymdown-extensions[${PYTHON_USEDEP}]
+ dev-python/python-markdown-math[${PYTHON_USEDEP}]
+ dev-python/textile[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+distutils_enable_sphinx docs
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index b5f397de6bb8..9eb517eb3e19 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -1,3 +1,4 @@
DIST mkdocs-material-9.5.45.gh.tar.gz 14703865 BLAKE2B a48e2e00bf0c1511e58e3f621656aa23227f0e579b96f83d09666328c815dc67cc8015b5f5400e08dd371e022740f0d46f6f550d1e35880485adf75a9352a8e9 SHA512 1a55d96fbc9872c754570633b094a8e605ef5be2cfe41f5c47d4f1af8ba5bedf9c4e419748716f8c8014a2b661d6ff73e6e98bdb3396568c64534e08f676f11b
DIST mkdocs-material-9.5.46.gh.tar.gz 14708818 BLAKE2B 3aed540e20f588f2cb08c94a2323e5311de5edd1467a7bfe1dbabfa81c69ed50875cab5d85aaa874648966bec4acea265a316004683b60b16703a6548aa1464e SHA512 f75bc96590f30c2109fa3ea915b91bd4cad50a4ce3d374fd162ee6178672f3acf812c9e98c348556a212587df935db1126ab2d1fe1f18cfdc3bd1f52efafa859
DIST mkdocs-material-9.5.47.gh.tar.gz 14708561 BLAKE2B ea3ac2df6f88d3c9b8ebd9bbbe5b6d0bf826fe3ebe733f8a84d532becbbfa66e0c11aa069da9571810593405d91e5d4e45ea0aad158ca1a956cb18c9f7fa9f13 SHA512 3ccce10161552c70276255a25e4467064de4adc92e38ec77e244ae140e9e58fa95144c5667116de89b41807df875ad3bb988685eec37e1285534367a6b4e9d76
+DIST mkdocs-material-9.5.48.gh.tar.gz 14739591 BLAKE2B c59affcf722f6494d601c054eec02893a11b2f2459fec366c500cdbac8f56ace693b8c65a31744b7bf1ad68752e709e59f1fa3cb1fcf3e331a97bc3161d3964d SHA512 ffb9db1d4edcba7d2f1fc62dba303a98342c4f5a7b0ac8c8baeca8c29f38b1dd0bbf2ae29dcdae80ad4a591b781184f4335f867c1d75f0993ff9d40033535a27
diff --git a/dev-python/mkdocs-material/mkdocs-material-9.5.48.ebuild b/dev-python/mkdocs-material/mkdocs-material-9.5.48.ebuild
new file mode 100644
index 000000000000..c99fc052adb8
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-9.5.48.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="social"
+
+RDEPEND="
+ >=dev-python/babel-2.10.3[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.6[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.5.3[${PYTHON_USEDEP}]
+ >=dev-python/paginate-0.5.6[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.16[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-10.2[${PYTHON_USEDEP}]
+ >=dev-python/readtime-2.0[${PYTHON_USEDEP}]
+ >=dev-python/regex-2022.4.24[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.26[${PYTHON_USEDEP}]
+ social? (
+ >=dev-python/pillow-10.2[${PYTHON_USEDEP}]
+ >=media-gfx/cairosvg-2.5[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ >=dev-python/trove-classifiers-2023.10.18[${PYTHON_USEDEP}]
+"
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND="
+ >=dev-python/mkdocs-material-extensions-1.2[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ # simplify pyproject to remove extra deps for metadata
+ "${FILESDIR}/${PN}-8.5.7-simplify-build.patch"
+)
+
+src_prepare() {
+ echo "__version__ = '${PV}'" > gentoo_version.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/mysqlclient/Manifest b/dev-python/mysqlclient/Manifest
index 5b1304226e6b..d37be360b1a3 100644
--- a/dev-python/mysqlclient/Manifest
+++ b/dev-python/mysqlclient/Manifest
@@ -1,2 +1 @@
-DIST mysqlclient-2.2.4.tar.gz 90400 BLAKE2B b41ed12bd8b2ea49b34d038db93e599eb05c9a910ab712fc8b7feed918f83bf3c4c8e55eac45ee944edefc26b0610b19cee9e9b76450adf9981ecc9b5fa44d85 SHA512 d1f7ba693368309a14a0982c2f1e0731617b482044afab765c8d81ea26dc6950a110c6cab48792ea1397add7b7151c756d5d22827fcce836404456f8956538a6
DIST mysqlclient-2.2.6.tar.gz 91055 BLAKE2B e515e693100135404bf00a41b7fe0364c8276ee1be847b22ef014bb01ef065a0bbb12cb2becbdb27a1b2a9528d43c668ba36ec25f8b43adffcc5762ed641a011 SHA512 cb5f9e8e0c8bfc8d1360a3ca03d6961b4e083ce25727d0340727e3d70816d37147ebce8507eb1a2c42e093b63ba375f9806958834c0703abe7c27908c7a094d1
diff --git a/dev-python/mysqlclient/mysqlclient-2.2.4.ebuild b/dev-python/mysqlclient/mysqlclient-2.2.4.ebuild
deleted file mode 100644
index 8421ac00d217..000000000000
--- a/dev-python/mysqlclient/mysqlclient-2.2.4.ebuild
+++ /dev/null
@@ -1,93 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Python interface to MySQL"
-HOMEPAGE="
- https://pypi.org/project/mysqlclient/
- https://github.com/PyMySQL/mysqlclient/
-"
-
-LICENSE="GPL-2+"
-SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~hppa ~ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
-
-DEPEND="
- dev-db/mysql-connector-c:0=
-"
-RDEPEND="
- ${DEPEND}
-"
-BDEPEND="
- test? (
- dev-db/mariadb[server]
- )
-"
-
-distutils_enable_sphinx doc \
- dev-python/sphinx-rtd-theme
-distutils_enable_tests pytest
-
-src_test() {
- rm -r src || die
-
- local datadir="${T}/mysql" \
- install_log="${T}/mysqld_install.log" \
- pidfile="${T}/mysqld.pid" \
- socket="${T}/mysqld.sock" \
- log="${T}/mysqld.log"
- einfo "Creating test MySQL instance ..."
- if ! mysql_install_db \
- --no-defaults \
- --auth-root-authentication-method=normal \
- --basedir="${EPREFIX}/usr" \
- --datadir="${datadir}" >& "${install_log}"
- then
- cat "${install_log}"
- die "Failed to create database"
- fi
-
- einfo "Starting test MySQL instance ..."
- mysqld \
- --no-defaults \
- --character-set-server=utf8 \
- --pid-file="${pidfile}" \
- --socket="${socket}" \
- --skip-networking \
- --datadir="${datadir}" >& "${log}" &
-
- local i timeout=10
- einfo "Waiting for MySQL to start for up to ${timeout} seconds ..."
- for i in seq 1 ${timeout}; do
- [[ -S "${socket}" ]] && break
- sleep 1
- done
- if [[ ! -S "${socket}" ]]; then
- cat "${log}"
- die "MySQL failed to start in ${timeout} seconds"
- fi
-
- cat > "${T}/mysql.cnf" <<- EOF
- [MySQLdb-tests]
- socket = ${socket}
- user = root
- database = test
- EOF
-
- distutils-r1_src_test
-
- einfo "Stopping test MySQL instance ..."
- pkill -F "${pidfile}" &>/dev/null
-}
-
-python_test() {
- local -x TESTDB="${T}/mysql.cnf"
- epytest
-}
diff --git a/dev-python/mysqlclient/mysqlclient-2.2.6.ebuild b/dev-python/mysqlclient/mysqlclient-2.2.6.ebuild
index 570505305abe..8421ac00d217 100644
--- a/dev-python/mysqlclient/mysqlclient-2.2.6.ebuild
+++ b/dev-python/mysqlclient/mysqlclient-2.2.6.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="GPL-2+"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~hppa ~ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm arm64 ~hppa ~ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
DEPEND="
dev-db/mysql-connector-c:0=
diff --git a/dev-python/numpy/Manifest b/dev-python/numpy/Manifest
index 8c7f8e4be207..836f7e27299b 100644
--- a/dev-python/numpy/Manifest
+++ b/dev-python/numpy/Manifest
@@ -2,4 +2,5 @@ DIST numpy-1.26.4.tar.gz 15786129 BLAKE2B ee759d3a857111bc494d5e989a7b005375d942
DIST numpy-2.0.2.tar.gz 18902015 BLAKE2B 63f993e3429bff1dac1ff79fad23a36a2493fd2c8a825ef96b6b87d82b0e68393d2829c5ecd9065df345c8bfbb1f8f385077f154264f7d2810d311d1d6672bd7 SHA512 d769fd4f07e082fae1661c6856d6d726e189f6931f3028c6819f9806aa9dfd15ab2b49c48b94bfd925eb3f74fddb6f044c9ba93bbb785b5476440dd1cf0b4999
DIST numpy-2.1.2.tar.gz 18878063 BLAKE2B b976b72bb113fc9c5e5a17c9d89038b6a11f2a09521ef46a610dd1fd04b0b11f08491728b2397ca5e3e9613aab3ad8c63b2b15a6378c535cf0e735226d517617 SHA512 3d69f6583e093e8fd0f441ec7dc4658c88fb714bb29574cd9510091ba059553f79c52492037353caf50b6cff1f7bd1e2501e445c7adde41bd9e08bab363e06e9
DIST numpy-2.1.3.tar.gz 20166090 BLAKE2B 746d343b17039d58738358168a613a2b85d6fb9cad1eeb367b851cd8d46fd42647990b47f0b4fb794ce5c4da2fa0a5d61e3ba42ea2f1945680f36cff31bb7b0d SHA512 59568acda3a77160908a23c354f0574970cb3daeea79ab535762a75a5f3a52a5cedd5754bb507cc238cf5948b37f0045523ed59c04cf6fc4a94ed22b9b77b8c1
+DIST numpy-2.2.0.tar.gz 20225497 BLAKE2B 87450bbe52085edd55cd99303bbb7d71b44bf14be8326bffe46886cf14d442bd51443b1c89e3f04ce13ee7724e39c9a2f302e2394f05781430e66efd8347c3dc SHA512 3a0776ac175beb82b2aea0d384b60896cd1ee1055b414765965edd621839c8292fadaaaa18482c975c8e34319578cb20db4aa8f4ad06bd41a1833563c55fc3e9
DIST numpy-2.2.0rc1.tar.gz 20214049 BLAKE2B 17b5afd8e4242c1f8eaaf7e052161277623703ed99bc2969b27cf447b8d3cff6325c3720a9ba5a206241ccd2c9332d6747ce0426432e5a60a31b580f658b939c SHA512 27f9944cb00c013b072f196ff5ff25dc461461d56b42cd889df4bdf6a274179f477e0c2e192bab3ca27f248dc7dc88a0a1db4f15a35bb47c619259b350c3deb9
diff --git a/dev-python/numpy/numpy-2.2.0.ebuild b/dev-python/numpy/numpy-2.2.0.ebuild
new file mode 100644
index 000000000000..51e5ddf971b4
--- /dev/null
+++ b/dev-python/numpy/numpy-2.2.0.ebuild
@@ -0,0 +1,194 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+FORTRAN_NEEDED=lapack
+
+inherit distutils-r1 flag-o-matic fortran-2 pypi
+
+DESCRIPTION="Fast array and numerical python library"
+HOMEPAGE="
+ https://numpy.org/
+ https://github.com/numpy/numpy/
+ https://pypi.org/project/numpy/
+"
+
+LICENSE="BSD"
+SLOT="0/2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+# +lapack because the internal fallbacks are pretty slow. Building without blas
+# is barely supported anyway, see bug #914358.
+IUSE="big-endian +lapack"
+
+RDEPEND="
+ lapack? (
+ >=virtual/cblas-3.8
+ >=virtual/lapack-3.8
+ )
+"
+BDEPEND="
+ ${RDEPEND}
+ >=dev-build/meson-1.1.0
+ >=dev-python/cython-3.0.6[${PYTHON_USEDEP}]
+ lapack? (
+ virtual/pkgconfig
+ )
+ test? (
+ $(python_gen_cond_dep '
+ >=dev-python/cffi-1.14.0[${PYTHON_USEDEP}]
+ ' 'python*')
+ dev-python/charset-normalizer[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-5.8.0[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
+ )
+"
+
+QA_CONFIG_IMPL_DECL_SKIP=(
+ # https://bugs.gentoo.org/925367
+ vrndq_f32
+)
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # bug #922457
+ filter-lto
+ # https://github.com/numpy/numpy/issues/25004
+ append-flags -fno-strict-aliasing
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ DISTUTILS_ARGS=(
+ -Dallow-noblas=$(usex !lapack true false)
+ -Dblas=$(usev lapack cblas)
+ -Dlapack=$(usev lapack lapack)
+ # TODO: cpu-* options
+ )
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Very disk-and-memory-hungry
+ numpy/lib/tests/test_io.py::TestSaveTxt::test_large_zip
+ numpy/lib/tests/test_io.py::TestSavezLoad::test_closing_fid
+ numpy/lib/tests/test_io.py::TestSavezLoad::test_closing_zipfile_after_load
+
+ # Precision problems
+ numpy/_core/tests/test_umath_accuracy.py::TestAccuracy::test_validate_transcendentals
+
+ # Runs the whole test suite recursively, that's just crazy
+ numpy/core/tests/test_mem_policy.py::test_new_policy
+
+ numpy/typing/tests/test_typing.py
+ # Uses huge amount of memory
+ numpy/core/tests/test_mem_overlap.py
+ )
+
+ if [[ $(uname -m) == armv8l ]]; then
+ # Degenerate case of arm32 chroot on arm64, bug #774108
+ EPYTEST_DESELECT+=(
+ numpy/_core/tests/test_cpu_features.py::Test_ARM_Features::test_features
+ )
+ fi
+
+ case ${ARCH} in
+ arm)
+ EPYTEST_DESELECT+=(
+ # TODO: warnings
+ numpy/_core/tests/test_umath.py::TestSpecialFloats::test_unary_spurious_fpexception
+
+ # TODO
+ numpy/_core/tests/test_function_base.py::TestLinspace::test_denormal_numbers
+ numpy/f2py/tests/test_kind.py::TestKind::test_real
+ numpy/f2py/tests/test_kind.py::TestKind::test_quad_precisionn
+
+ # require too much memory
+ 'numpy/_core/tests/test_multiarray.py::TestDot::test_huge_vectordot[complex128]'
+ 'numpy/_core/tests/test_multiarray.py::TestDot::test_huge_vectordot[float64]'
+ )
+ ;;
+ hppa)
+ EPYTEST_DESELECT+=(
+ # https://bugs.gentoo.org/942689
+ "numpy/_core/tests/test_dtype.py::TestBuiltin::test_dtype[int]"
+ "numpy/_core/tests/test_dtype.py::TestBuiltin::test_dtype[float]"
+ numpy/f2py/tests/test_kind.py::TestKind::test_real
+ numpy/f2py/tests/test_kind.py::TestKind::test_quad_precision
+ numpy/tests/test_ctypeslib.py::TestAsArray::test_reference_cycles
+ numpy/tests/test_ctypeslib.py::TestAsArray::test_segmentation_fault
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_scalar
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_subarray
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_structure
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_structure_aligned
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_union
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_padded_union
+ )
+ ;;
+ ppc|x86)
+ EPYTEST_DESELECT+=(
+ # require too much memory
+ 'numpy/_core/tests/test_multiarray.py::TestDot::test_huge_vectordot[complex128]'
+ 'numpy/_core/tests/test_multiarray.py::TestDot::test_huge_vectordot[float64]'
+ )
+ ;;
+ esac
+
+ if [[ ${CHOST} == powerpc64le-* ]]; then
+ EPYTEST_DESELECT+=(
+ # long double thingy
+ numpy/_core/tests/test_scalarprint.py::TestRealScalars::test_ppc64_ibm_double_double128
+ )
+ fi
+
+ if use big-endian; then
+ EPYTEST_DESELECT+=(
+ # ppc64 and sparc
+ numpy/linalg/tests/test_linalg.py::TestDet::test_generalized_sq_cases
+ numpy/linalg/tests/test_linalg.py::TestDet::test_sq_cases
+ "numpy/f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f77[s1]"
+ "numpy/f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f77[t1]"
+ "numpy/f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f90[s1]"
+ "numpy/f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f90[t1]"
+ )
+ fi
+
+ if ! has_version -b "~${CATEGORY}/${P}[${PYTHON_USEDEP}]" ; then
+ # depends on importing numpy.random from system namespace
+ EPYTEST_DESELECT+=(
+ 'numpy/random/tests/test_extending.py::test_cython'
+ )
+ fi
+
+ if has_version ">=dev-python/setuptools-74[${PYTHON_USEDEP}]"; then
+ # msvccompiler removal
+ EPYTEST_DESELECT+=(
+ numpy/tests/test_public_api.py::test_all_modules_are_expected_2
+ numpy/tests/test_public_api.py::test_api_importable
+ )
+ EPYTEST_IGNORE+=(
+ numpy/distutils/tests/test_mingw32ccompiler.py
+ numpy/distutils/tests/test_system_info.py
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ epytest -p rerunfailures --reruns=5
+
+ # https://github.com/numpy/numpy/issues/27942
+ rm xm.np.npy || die
+}
+
+python_install_all() {
+ local DOCS=( LICENSE.txt README.md THANKS.txt )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pikepdf/pikepdf-9.4.2.ebuild b/dev-python/pikepdf/pikepdf-9.4.2.ebuild
index 264eab74744d..162accc95422 100644
--- a/dev-python/pikepdf/pikepdf-9.4.2.ebuild
+++ b/dev-python/pikepdf/pikepdf-9.4.2.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="MPL-2.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~loong ppc ~ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ppc ~ppc64 ~riscv ~s390 sparc x86"
IUSE="big-endian"
# Check QPDF_MIN_VERSION in pyproject.toml on bumps, as well as
diff --git a/dev-python/python-tests/python-tests-3.11.11_p1.ebuild b/dev-python/python-tests/python-tests-3.11.11_p1.ebuild
index 9bf241fcc921..a38a8ba8cfe1 100644
--- a/dev-python/python-tests/python-tests-3.11.11_p1.ebuild
+++ b/dev-python/python-tests/python-tests-3.11.11_p1.ebuild
@@ -28,7 +28,7 @@ S="${WORKDIR}/${MY_P}/Lib"
LICENSE="PSF-2"
SLOT="${PYVER}"
-KEYWORDS="~alpha ~amd64 ~arm arm64 ~hppa ~loong ~m68k ~mips ppc ~ppc64 ~riscv ~s390 sparc ~x86"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~loong ~m68k ~mips ppc ~ppc64 ~riscv ~s390 sparc ~x86"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="
diff --git a/dev-python/wrapt/wrapt-1.17.0.ebuild b/dev-python/wrapt/wrapt-1.17.0.ebuild
index 3afffb4a6b50..c620cb7934bd 100644
--- a/dev-python/wrapt/wrapt-1.17.0.ebuild
+++ b/dev-python/wrapt/wrapt-1.17.0.ebuild
@@ -23,7 +23,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ~ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ~ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
IUSE="+native-extensions"
distutils_enable_tests pytest
diff --git a/dev-python/yarl/yarl-1.17.2.ebuild b/dev-python/yarl/yarl-1.17.2.ebuild
index 9f3dc40f42d8..bf97f7e2ba55 100644
--- a/dev-python/yarl/yarl-1.17.2.ebuild
+++ b/dev-python/yarl/yarl-1.17.2.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~loong ~mips ppc ~ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ~ppc64 ~riscv ~s390 sparc x86"
IUSE="+native-extensions"
RDEPEND="